petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMSNESSetFunctionLocal

set a local residual evaluation function. This function is called with local vector containing the local vector information PLUS ghost point information. It should compute a result for all local elements and DMSNES will automatically accumulate the overlapping values.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESSetFunctionLocal(DM dm,PetscErrorCode (*func)(DM,Vec,Vec,void*),void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local residual evaluation
| ctx | - optional context for local residual evaluation

### See Also

DMSNESSetFunction(), DMDASNESSetJacobianLocal(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

Level:beginner
Location:src/snes/utils/dmlocalsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html